<div class="container-fluid ft-unimed-slab ft-18" [@fadeAnimation]="'in'">
  <div class="row mb-10" *ngIf="mainQuestion">
    <div class="col-12">
      <span [innerHTML]="mainQuestion | safeHtml"></span>
    </div>
  </div>

  <ng-container *ngFor="let question of questions; let i = index">
    <div class="row mb-5" *ngIf="!inlineStyle && question">
      <div class="col-12 ft-15">
        <span [innerHTML]="question | safeHtml"></span>
      </div>
    </div>
    <div class="row ft-16 mb-10" *ngIf="!inlineStyle">
      <div class="col-12 option-container">
        <img class="option-tick" src="./assets/images/shared-icon-correct.png" *ngIf="checked && isCorrect(i)">

        <img class="option-tick" src="./assets/images/shared-icon-wrong.png" *ngIf="checked && !isCorrect(i)">

        <select class="options" [class.selected]="isChecked(i)" [disabled]="optionsDisabled"
                (change)="trySelectOption(i, $event.target.value)">
          <option value=""></option>
          <option [value]="option" *ngFor="let option of options[i]">{{option}}</option>
        </select>
        <!--
        <select class="options selected disabled" *ngIf="feedbackVisible">
          <option [value]="options[i][corrects[i]]">{{options[i][corrects[i]]}}</option>
        </select>
        -->
      </div>
    </div>
  </ng-container>

  <div class="row mb-5" *ngIf="inlineStyle">
    <div class="col-12 ft-unimed-slab-ft-15">
      <span>
        <ng-container *ngFor="let question of questions; let i = index">
          <span [innerHTML]="question | safeHtml"></span>
          <span class="inline-option-container" [style]="inlineStyleContainerStyles | safeStyle">
              <img class="option-tick inline" src="./assets/images/shared-icon-correct.png" *ngIf="checked && isCorrect(i)">
    
              <img class="option-tick inline" src="./assets/images/shared-icon-wrong.png" *ngIf="checked && !isCorrect(i)">
      
              <select class="options inline" [class.selected]="isChecked(i)" [disabled]="optionsDisabled"
                      (change)="trySelectOption(i, $event.target.value)">
                <option value=""></option>
                <option [value]="option" *ngFor="let option of options[i]">{{option}}</option>
              </select>
          </span>
        </ng-container>
      </span>
    </div>
  </div>

  <div class="row" [@fadeAnimation]="'in'" *ngIf="!checked && canCheck">
    <div class="offset-md-4 col-md-4 col-12 mt-10">
      <div class="button-1 check" [class.disabled]="!canCheck" (click)="tryCheckAnswers()">
        Conferir
      </div>
    </div>
  </div>

  <div class="row" [@fadeAnimation]="'in'" *ngIf="feedbackVisible">
    <div class="col-12">
      <div class="feedback" [class.positive]="allCorrect" [class.negative]="!allCorrect"
           [innerHTML]="allCorrect ? feedback : wrongFeedback | safeHtml"></div>
    </div>
  </div>
</div>